Subject: Re: GNUWIN32 build environment
From: [email-masked] (Geoffrey Noer)

17 Jul 1997 23:40:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Patrick Doyle)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Patrick Doyle" at Jul 16, 97 09:30:56 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Patrick Doyle wrote:
[...]
> For the "long-term" solution, do you plan on makeing GCC-esq $(exeext)
> to the makefiles for all of the rest of the packages installed with
> GNUWIN32?  Would you be interested in patched makefiles for the few
> packages I have/will have modified?

I think we're about to add an autoconf macro to most of the tools that
takes care of the .exe suffix as needed so that will probably take care
of this issue (I hope).

> One more thing...  I have noticed that the installed utilties have
> been stripped.  Where does that occur in your build process?  Have you
> set your "INSTALL" environment variable to be "install -s"?  Is there
> some other magic subdirectory that I missed (in the user-tools
> package)?

I stripped everything by hand after the install.  Note that beta 18
strip can't strip dlls without killing them.  This bug will be fixed
in the future...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".